summaryrefslogtreecommitdiff
path: root/git/leap-fix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git/leap-fix.sh')
-rwxr-xr-xgit/leap-fix.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/git/leap-fix.sh b/git/leap-fix.sh
new file mode 100755
index 0000000..4232f2a
--- /dev/null
+++ b/git/leap-fix.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# example:
+# ./leap-fix.sh 3667
+# Starting feature branch "3667_Sending_mail_fails_when_relaying_using_non-fully-qualified_hostname"
+# ...
+
+issue=$1
+
+[ $issue -gt 0 ] || exit 1
+
+# quick'n dirty
+subject=`wget -q https://leap.se/code/issues/${issue}.json -O -|json_pp| grep '"subject"'|cut -d '"' -f 4|sed 's/ /_/g' `
+
+[ $subject ] || exit 1
+
+feature="${issue}_$subject"
+echo "Starting feature branch \"$feature\""
+echo
+echo "Proceed ? press enter"
+read enter
+
+git flow feature start $feature